## IAnjutaTerminal

IAnjutaTerminal — Interface for command line terminals

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-terminal.h>

    #define             IANJUTA_TERMINAL_ERROR
                        IAnjutaTerminal;
                        IAnjutaTerminalIface;
    GQuark              ianjuta_terminal_error_quark        (void);
    pid_t               ianjuta_terminal_execute_command    (IAnjutaTerminal *obj,
                                                             const gchar *directory,
                                                             const gchar *command,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaTerminal

## Prerequisites

IAnjutaTerminal requires GObject.

## Description

## Details

### IANJUTA_TERMINAL_ERROR

    #define IANJUTA_TERMINAL_ERROR ianjuta_terminal_error_quark()

### IAnjutaTerminal

    typedef struct _IAnjutaTerminal IAnjutaTerminal;

### IAnjutaTerminalIface

    typedef struct {
    	GTypeInterface g_iface;

    	pid_t (*execute_command) (IAnjutaTerminal *obj, const gchar* directory,  const gchar *command, GError **err);
    } IAnjutaTerminalIface;

### ianjuta_terminal_error_quark ()

    GQuark              ianjuta_terminal_error_quark        (void);

Returns : |

### ianjuta_terminal_execute_command ()

    pid_t               ianjuta_terminal_execute_command    (IAnjutaTerminal *obj,
                                                             const gchar *directory,
                                                             const gchar *command,
                                                             GError **err);

fixme

`obj` : | Self
`directory` : | fixme
`command` : | fixme
`err` : | Error propagation and reporting.
Returns : | fixme